% convert integer to bits. we use little Endian.
% N:    input integer. n: number of bits for output.
% n must be greater or equal to log2(N).
function bits = int2bit(N,n)
if nargin == 1

    if N ==0 || N ==1
        bits = rem(N,2);
    else
        n = floor(log2(N))+1;
        bits = zeros(1,n);
        for i = 1:n
            bits(i) = rem(N,2);
            %N = N-2^(n-i+1);
            %N = N-2^i;%
            N=(N-bits(i))/2 ;
        end
        bits = fliplr(bits);
    end

else
    bits = zeros(1,n);

    if N ==0 || N ==1
        bits(end) = rem(N,2);
    else
        
        for i = 1:n
            bits(i) = rem(N,2);
            %N = N-2^(n-i+1);
            %N = N-2^i;%
            N=(N-bits(i))/2 ;
        end
        bits = fliplr(bits);
    end

    
    
end