function plotQ(q_param, text)
    struct_len = size(fieldnames(q_param),1);
    if(struct_len == 2) %uniform quantizer
        range = q_param.range;
        x = -range:0.01:range;
        x_q = uniform_quantizer(x,q_param);
    else % deadzone quantizer
        range = q_param.range;
        x = -range:0.01:range;
        x_q = deadzone_quantizer(x,q_param);
    end
    plot(x,x_q)
    title(['Levels ' text])
    xlabel('x')
    ylabel('Q(x)')
end