function image_param = compute_and_set_image_param(intensity,SNR_factor,sine_angle,sine_amplitude)
    % All quantities are normalised to 1s exposure time
    if(nargin == 0)
        intensity = 0.5;
        SNR_factor = 100;
        sine_angle = 0;
    end
    
    if(nargin ~=4)
        amplitude_factor = 0.05;
        sine_amplitude = amplitude_factor*intensity;
    end
    
%     noise_flag = 0;
%     if((nargin > 0))
%         if(intensity == 'no noise')
%             noise_flag = 1;
%             intensity = 10;
%             dark_current = 0;
%         end
%     end
%     
%     if(nargin == 0)
%         intensity = 100; %intensity normalized to one second exposure
%         dark_current = 5;
%     end
%     if (nargin < 3)
%         sine_angle = 0;
%     end
%     
%   
%     if(noise_flag == 1)
%         noise_std = 0; 
%     else
%         noise_std = sqrt(intensity+dark_current);
%     end
%     

    % Defining the output struct:
    image_param = struct('intensity', intensity, 'SNR_factor', SNR_factor,'sine_amplitude', sine_amplitude, 'sine_angle', sine_angle);
end

