function im_sine = make_sine_image_for_video(video_param, image_param)
    %-----------
    % Input: the structs video_param and image_param
    %-----------   
    
    % Extracting the sine parameters:
    intensity = image_param.intensity;
    amplitude = image_param.sine_amplitude;
    angle = image_param.sine_angle;
    % Extracting the video_parameters:
    im_size = video_param.highres;
    satcam_param = video_param.satcam_param;
    num_of_periods = satcam_param.image_cov_wl;
    
    % Making the sine image:
    im_sine = make_sinus_image(im_size, num_of_periods, intensity, amplitude,angle);
end