function symbols = bits2symbol(bits,FMT)
% convert bits back to symbols
% bits dimension 2xL
L = size(bits,2);

if nargin == 1|| strcmp(FMT,'double')==1
    symbols = zeros(1,L);
    for l = 1:L
        if bits(:,l) ==[1 1]'
            symbols(l) = 3;
        elseif bits(:,l) ==[1 0]'
            symbols(l) = 2;
        elseif bits(:,l) ==[0 1]'
            symbols(l) = 1;
        elseif bits(:,l) ==[0 0]'
            symbols(:,l) = 0;
        else
            symbols(:,l) = -1;
        end
    end
else
    symbols = repmat('+',1,L);
    for l = 1:L
        if bits(:,l) ==[1 1]'
            symbols(l) = '+';
        elseif bits(:,l) ==[1 0]'
            symbols(l) = '-';
        elseif bits(:,l) ==[0 1]'
            symbols(l) = '1';
        elseif bits(:,l) ==[0 0]'
            symbols(:,l) = '0';
        else
            symbols(:,l) = 's';
        end
    end
end
