function x_q = inv_uniform_quantizer(q_level,q_param)
    %% Map quantization levels back to corresponding representation value
    % input: q_level - quantization level (integer)
    %        range - one-sided range
    %        L - number of quantization levels
    % output: x_q - representation value
    L = q_param.L;
    range = q_param.range;
    
    step_size = 2*range/L;
    x_q = q_level*step_size;
end