function bits = symbol2bits(symbols)
% converts symbols of +,-,0,1 into bits 
% uses 2 bits per symbol +: 11 -: 10 1: 01, 0:00
% -1 is the dummy bit. it is transformed into [-1 -1];

bits = zeros(2,size(symbols,2));

for i = 1: size(symbols,2)
    if symbols(i) =='+'|| symbols(i)==3
        bits(:,i) = [1 1]';
    elseif symbols(i)== '-'|| symbols(i) ==2
        bits(:,i) = [1 0]';
    elseif symbols(i)=='1'|| symbols(i) ==1
        bits(:,i) = [0 1]';
    elseif symbols(i) == '0'|| symbols(i) == 0
        bits(:,i) = [0 0]';
    else
        bits(:,i) = ones(size(2,1))*symbols(i);%[-1 -1]';
    end
end
