function im_recovered = motionblur_deconv(im_blurred,h_motionblur)
    % Restoration of motion blurred image, with edgetaper and richardson lucy deconvolution
    num_it = 15;
    h_gaussian = fspecial('gaussian', 15, 7); 
    
    im_edgetaper = edgetaper(im_blurred, h_gaussian);
    im_recovered = deconvlucy(im_edgetaper,h_motionblur,num_it);
end