%Script for making one single test image with noise
im_size = 256;
number_of_periods = 20;
% 
t_int = 1.6;
SNR_factor = 20;
% 
sine_dc = 0.6; % DC level of sine images per second
sine_angle = 10;
sine_amp = 0.05*sine_dc;
noise_std = sine_dc./(SNR_factor*sqrt(t_int));
%noise_std = 0;

im_sine = make_sinus_image(im_size, number_of_periods, sine_dc, sine_amp,sine_angle);
im_noisy = im_sine+(uint8(256*noise_std*randn(im_size)));
figure
imshow(im_noisy)